package com.cebbank.mft.client;

import java.io.File;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.Banner.Mode;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@ComponentScan(
   basePackages = {"com.cebbank.mft.client"}
)
public class LinuxApplication {

   private static final Logger log = LogManager.getLogger(LinuxApplication.class);


   public static void main(String[] args) {
      String userDir = System.getProperty("user.home") + File.separator + ".mft";
      System.setProperty("user.dir", userDir);
      String dataDir = userDir + File.separator + "data";
      File f = new File(dataDir);
      f.mkdirs();
      log.info("init data dir = {}", dataDir);
      SpringApplication app = new SpringApplication(new Class[]{LinuxApplication.class});
      app.setBannerMode(Mode.LOG);
      app.setWebApplicationType(WebApplicationType.NONE);
      app.run(args);
   }

}
